Subject: bug#55540: 29.0.50; ERC launches autojoin-channels in current frame instead of original frame

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 06 Sep 2022 16:02:32 +0200

"J.P." <[email-masked]> writes:

> Are you concerned about the behavior during initial connections as well
> as automatic reconnections?

Yes.

> Really, the only safe option is `bury' (well, maybe also the proposed
> frame stuff in Pankaj's patch, but only when an extra, ERC-specific
> frame already exists, which we can't count on). That said, there's no
> reason we'd have to stick with existing options/behavior when choosing a
> new default. I guess it just comes down to what users want to happen.

I think the default action should be to do nothing to the window setup
at all, and just add the notification to the mode line.